Skip to main content
DocsAPI ReferenceAI Agents & Resources
Snapshots

Query stored visibility snapshots

View Markdown

Returns stored visibility snapshots for the organization, filterable by brand, engine, prompt, mention, and date range. Free. Snapshots are created when a visibility check is run with a brandId.

GET/v1/snapshots/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

brand_id?string
engine?string
Value in"chatgpt" | "claude" | "gemini" | "perplexity"
prompt?string
mentioned?boolean
from?string
to?string
limit?integer
Default50
Range1 <= value <= 200
offset?integer
Default0
Range0 <= value

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/snapshots/"
{
  "success": true,
  "data": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "snapshots": [
      {
        "id": "string",
        "brandId": "string",
        "brand": "string",
        "prompt": "string",
        "engine": "string",
        "model": null,
        "mentioned": true,
        "position": null,
        "sources_count": 0,
        "sentiment": null,
        "competitors_found": [
          "string"
        ],
        "competitor_candidates_found": [
          "string"
        ],
        "checkedAt": "string"
      }
    ]
  }
}
{
  "success": false,
  "message": "string"
}
{
  "success": false,
  "message": "string"
}